Bug 502425 - after upgrading from f10 to f11 scim stops working
after upgrading from f10 to f11 scim stops working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 02:46 EDT by Jens Petersen
Modified: 2010-05-13 02:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-13 02:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-25 02:46:46 EDT
Description of problem:
When I upgraded a Japanese installed machine from F10 to F11, scim seems to stop working.  I think this is the second time I have noticed this issue so reporting it here.

How reproducible:
every time 

Steps to Reproduce:
1. From a F10 install upgrade to F11
2. start desktop
3. try to use scim
4. run im-chooser
  
Actual results:
2. scim applet is running
3. nothing happens
4. imsettings seems to think IM is off and unresponsive to enabling IM from im-chooser

Expected results:
scim to be working as normal

Additional info:
If I turn off IM in im-chooser and restart the desktop and turn on IM in im-chooser again scim starts normally and works again.
Comment 1 Bug Zapper 2009-06-09 12:30:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Akira TAGOH 2009-08-28 08:31:57 EDT
imsettings-0.107.2-1.fc11 has been pushed for updates. in this release, the process management and the status tracking should be somewhat improved. since scim is capable to bring the process up from immodule, if you don't see any logs to restart scim in .imsettings.log but just fails, it's totally out of the management under imsettings. I'll reassign to scim or scim-bridge then.

Please test it. Thanks.
Comment 3 Jens Petersen 2009-10-26 03:27:25 EDT
I tried upgrading from F10+updates to F11 and scim seemed to work fine.
However after updating to F11-updates, scim didn't work on first login
but after logging out and in again it seems ok.
Comment 4 Akira TAGOH 2009-10-26 04:26:53 EDT
To clarify, you tried to update from F-11 to 11-updates and restart the desktop or reboot your machine. you saw this issue after logging in right?
Comment 5 Akira TAGOH 2009-10-28 03:18:09 EDT
just tried the following:

1. install F-10
2. create a new account and check if SCIM works
3. yum upgrade to ensure the latest packages installed.
4. upgrade to F-11 with anaconda
5. log into the desktop with the account created at the step 2
6. yum upgrade to ensure the latest packages installed.
7. see current status on im-chooser and .imsettings.log

It works for me.
Comment 6 Akira TAGOH 2009-10-28 03:43:25 EDT
After some discussion with Jens, I guess this might be a kind of the race condision issue since the immodule brings up the scim process if it's not running yet. which is totally not managed under imsettings. so I have no idea to solve this issue on imsettings. it would rather makes sense to get the fix in scim (or scim-bridge too perhaps).

This issue should be gone if we get rid of that feature from scim. reassigning.
Comment 7 Jens Petersen 2009-10-29 01:30:16 EDT
(In reply to comment #5)
> 4. upgrade to F-11 with anaconda
> 5. log into the desktop with the account created at the step 2
> 6. yum upgrade to ensure the latest packages installed.
> 7. see current status on im-chooser and .imsettings.log
> 
> It works for me.  

Out of curiosity, did you restart the desktop
after the yum upgrade?
Comment 8 Akira TAGOH 2009-10-29 02:41:06 EDT
(In reply to comment #7)
> (In reply to comment #5)
> > 4. upgrade to F-11 with anaconda
> > 5. log into the desktop with the account created at the step 2
> > 6. yum upgrade to ensure the latest packages installed.
> > 7. see current status on im-chooser and .imsettings.log
> > 
> > It works for me.  
> 
> Out of curiosity, did you restart the desktop
> after the yum upgrade?  

Not really. no packages updated with yum upgrade.
Comment 9 Bug Zapper 2010-04-27 10:30:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.